#include "led.h"
#include "delay.h"
#include "sys.h"
#include "key.h"
#include "usart.h"
#include "exti.h"
#include "wdg.h"
#include "timer.h"
#include "pwm.h"
#include "lcd.h"
#include "gui.h"


u8 IO_Check()
{
	u8 i;
	for(i=0;i<16;i++)
	{
		GPIO_Write(GPIOA,GPIO_Pin_0<<i);
	}
	for(i=0;i<16;i++)
	{
		GPIO_Write(GPIOB,GPIO_Pin_0<<i);
	}
}

 int main(void)
 {
	u8 x=0;
	SystemInit();
	delay_init(72);	     //ΡΣΚ±³υΚΌ»―
	NVIC_Configuration();
	uart_init(9600);
 	//LED_Init();
	//KEY_Init();
	LCD_Init();
	//IO_Check();
	POINT_COLOR=RED;
	while(1)
	{
		fillScreen(RGB(0,0,0));
		delay_ms(1000);
		fillRoundRect(10,10,100,100,10,RGB(255,255,255));
		delay_ms(1000);
  }
 }

